/*****************************************************************************
**                                                                          **
**                         AMICCOM Proprietary Document                     **
**               Copyright (c) 2004-2015 AMICCOM Electronics Inc.           **
**                                                                          **
**                                                                          **
*****************************************************************************/
#ifndef _DEFINE_H_
#define _DEFINE_H_

#include <absacc.h>
#include <stdio.h>
#include <string.h>
#include <intrins.h>

#define Sint8  signed   char
#define Uint8  unsigned char
#define Uint16 unsigned int
#define Uint32 unsigned long
#define Sint32 signed long

#define NO                  0
#define YES                 1

#define CALIBRATE_NUMBER    6

#define LOW                 0
#define HIGH                1

#define ON                  1
#define OFF                 0

#define ENABLE              1
#define DISABLE             0

#define MASTER				1
#define SLAVE				0

#define ONEWAY				0
#define TWOWAY				1

#define BIT0        0x01
#define BIT1        0x02
#define BIT2        0x04
#define BIT3        0x08
#define BIT4        0x10
#define BIT5        0x20
#define BIT6        0x40
#define BIT7        0x80


#endif